import koaBody from "koa-body";
import Router from "koa-router";
import hit from "src/routers/hit";
import avatar from "src/routers/avatar";
import file from "src/routers/file";
import forum from "src/routers/forum";
import forums from "src/routers/forums";
import essay from "src/routers/essay";
import comment from "src/routers/comment";
import commentary from "src/routers/commentary";
import want from "src/routers/want";
import autoEssay from "src/routers/autoEssay";

const router = new Router();

router.use("/www/hit", hit.routes());
router.use("/www/avatar", koaBody(), avatar.routes());
router.use("/www/forum", koaBody(), forum.routes());
router.use("/www/forums", koaBody(), forums.routes());
router.use("/www/essay", koaBody(), essay.routes());
router.use("/www/comment", koaBody(), comment.routes());
router.use("/www/file", file.routes());
router.use("/www/commentary", koaBody(), commentary.routes());
router.use("/www/want", koaBody(), want.routes());
router.use("/www/autoEssay", koaBody(), autoEssay.routes());

export default router;
